Name: eroaster
Summary: The ECLIPT Roaster is a graphical frontend to cdrecord and mkisofs
Version: 2.0
Release: 1.7z.3mdk
Copyright: GPL
Group: Archiving/Cd burning
Source: http://sourceforge.net/projects/cups/%{name}-%{version}b7.tar.bz2
URL: http://sourceforge.net/projects/cups
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: pygnome, xmms, cdrecord, mkisofs, sox, mpg123
BuildRequires: pygnome, xmms, cdrecord, mkisofs, sox, mpg123

%description
A graphical front end to cdrecord and mkisofs.
- Writes data and audio cd's on the fly
- read data and audio cd's
- drag and drop support
- nice user interface
- auto selection of files to fill cd
- auto conversion of mp3 files to wav files

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -n eroaster-2.0b7

%build
export CXXFLAGS="${CXXFLAGS:-%optflags} -fno-exceptions -fno-rtti";./configure \
        --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT --enable-qt2 --with-qt-dir=/usr/lib/qt2
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/eroaster
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/eroaster/pixmaps
install -m 0755 eroaster $RPM_BUILD_ROOT%{_bindir}
install -m 0644 pixmaps/*.xpm $RPM_BUILD_ROOT/usr/share/eroaster/pixmaps
install -m 0755 ecat.py $RPM_BUILD_ROOT%{_libdir}/eroaster
install -m 0644 eroasterrc $RPM_BUILD_ROOT%{_libdir}
install -m 0644 constants.py $RPM_BUILD_ROOT%{_libdir}/eroaster
install -m 0644 main.py $RPM_BUILD_ROOT%{_libdir}/eroaster
install -m 0644 tools.py $RPM_BUILD_ROOT%{_libdir}/eroaster
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 COPYING ChangeLog INSTALL TODO THANKS $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


##menus created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/eroaster
?package(eroaster): needs=X11 \
section="Applications/Archiving/Cd burning" \
title="Eroaster" \
command="/usr/bin/runeroaster" \
icon="cd_burning_section.xpm"
EOF

cat <<EOF > $RPM_BUILD_ROOT/usr/bin/runeroaster
export PYTHONPATH=/usr/lib/eroaster;/usr/bin/eroaster
EOF

chmod 0755 $RPM_BUILD_ROOT/usr/bin/runeroaster

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}
%dir %{_bindir}
%{_libdir}/eroaster
%{_libdir}/eroasterrc
%{_bindir}/*
%{_datadir}/eroaster/*
%{_menudir}/eroaster

%changelog
* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0-1.7z.3mdk
- added build requires on pygnome, xmms, cdrecord, mkisofs, sox and mpg123.

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0-0.7z.2mdk

- Removed unneeded %%defines
- Fixed problem with eroaster not running
- Requires: pygnome

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-0.7z.1mdk
- fixed %post and %postun : chris sucks bigtime!!
- retried the upload, i suck, ok..

* Wed Sep 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-0.7mdk
- Package for Mandrake per Warly's request. New package

